<?php
class MyFilter{
	
	public static function fPostRaport($data){
		unset($data['namaAfirmasi']);
        unset($data['namaPemilik']);
        unset($data['noKartu']);	
        unset($data['dtks']);
        unset($data['penyelengara']);
        unset($data['kategori_kejuaraan']);
        unset($data['tingkat_kejuaraan']);
        unset($data['namaKejuaraan']);
		unset($data['afirmasi']);
		unset($data['nama_afirmasi']);
		unset($data['no_afirmasi']);
		unset($data['skor']);
		unset($data['kategori']);
		unset($data['prestasi']);
		unset($data['skorKompentensi']);
		unset($data['total_skor_kejuaraan']);

		return $data;
	}

	public static function fPostKejuaraan($data){
		// pai
		unset($data["paiK4S1"]);
		unset($data["paiK4S2"]);
		unset($data["paiK5S1"]);
		unset($data["paiK5S2"]);
		unset($data["paiK6S1"]);
		// pkn
		unset($data["pknK4S1"]);
		unset($data["pknK4S2"]);
		unset($data["pknK5S1"]);
		unset($data["pknK5S2"]);
		unset($data["pknK6S1"]);

		// indo
		unset($data["indoK4S1"]);
		unset($data["indoK4S2"]);
		unset($data["indoK5S1"]);
		unset($data["indoK5S2"]);
		unset($data["indoK6S1"]);

		// mtk
		unset($data["mtkK4S1"]);
		unset($data["mtkK4S2"]);
		unset($data["mtkK5S1"]);
		unset($data["mtkK5S2"]);
		unset($data["mtkK6S1"]);

		// ipa
		unset($data["ipaK4S1"]);
		unset($data["ipaK4S2"]);
		unset($data["ipaK5S1"]);
		unset($data["ipaK5S2"]);
		unset($data["ipaK6S1"]);

		// ips
		unset($data["ipsK4S1"]);
		unset($data["ipsK4S2"]);
		unset($data["ipsK5S1"]);
		unset($data["ipsK5S2"]);
		unset($data["ipsK6S1"]);

			// sbdp
		unset($data["sbdpK4S1"]);
		unset($data["sbdpK4S2"]);
		unset($data["sbdpK5S1"]);
		unset($data["sbdpK5S2"]);
		unset($data["sbdpK6S1"]);

			// pjok
		unset($data["pjokK4S1"]);
		unset($data["pjokK4S2"]);
		unset($data["pjokK5S1"]);
		unset($data["pjokK5S2"]);
		unset($data["pjokK6S1"]);

		// sunda
			// sbdp
		unset($data["sundaK4S1"]);
		unset($data["sundaK4S2"]);
		unset($data["sundaK5S1"]);
		unset($data["sundaK5S2"]);
		unset($data["sundaK6S1"]);

		// afiramsi
		unset($data['namaAfirmasi']);
        unset($data['namaPemilik']);
        unset($data['noKartu']);
        unset($data['dtks']);

		return $data;
		
	}

	public static function fPostAfirmasi($data){
// pai
		unset($data["paiK4S1"]);
		unset($data["paiK4S2"]);
		unset($data["paiK5S1"]);
		unset($data["paiK5S2"]);
		unset($data["paiK6S1"]);
		// pkn
		unset($data["pknK4S1"]);
		unset($data["pknK4S2"]);
		unset($data["pknK5S1"]);
		unset($data["pknK5S2"]);
		unset($data["pknK6S1"]);

		// indo
		unset($data["indoK4S1"]);
		unset($data["indoK4S2"]);
		unset($data["indoK5S1"]);
		unset($data["indoK5S2"]);
		unset($data["indoK6S1"]);

		// mtk
		unset($data["mtkK4S1"]);
		unset($data["mtkK4S2"]);
		unset($data["mtkK5S1"]);
		unset($data["mtkK5S2"]);
		unset($data["mtkK6S1"]);

		// ipa
		unset($data["ipaK4S1"]);
		unset($data["ipaK4S2"]);
		unset($data["ipaK5S1"]);
		unset($data["ipaK5S2"]);
		unset($data["ipaK6S1"]);

		// ips
		unset($data["ipsK4S1"]);
		unset($data["ipsK4S2"]);
		unset($data["ipsK5S1"]);
		unset($data["ipsK5S2"]);
		unset($data["ipsK6S1"]);

			// sbdp
		unset($data["sbdpK4S1"]);
		unset($data["sbdpK4S2"]);
		unset($data["sbdpK5S1"]);
		unset($data["sbdpK5S2"]);
		unset($data["sbdpK6S1"]);

			// pjok
		unset($data["pjokK4S1"]);
		unset($data["pjokK4S2"]);
		unset($data["pjokK5S1"]);
		unset($data["pjokK5S2"]);
		unset($data["pjokK6S1"]);

		// sunda
			// sbdp
		unset($data["sundaK4S1"]);
		unset($data["sundaK4S2"]);
		unset($data["sundaK5S1"]);
		unset($data["sundaK5S2"]);
		unset($data["sundaK6S1"]);
		
		unset($data['penyelengara']);
        unset($data['kategori_kejuaraan']);
        unset($data['tingkat_kejuaraan']);
        unset($data['namaKejuaraan']);
		unset($data['skorKompentensi']);
		unset($data['total_skor_kejuaraan']);

		return $data;
	}
}